Bug 243904 - Openoffice.org produces no error message and no error code on X errors.
Summary: Openoffice.org produces no error message and no error code on X errors.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-12 17:21 UTC by Björn Persson
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 2.2.1-18.2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-04 08:05:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 78383 None None None Never

Description Björn Persson 2007-06-12 17:21:48 UTC
Description of problem:
When the problem described in bug 243304 occurs (and probably on other X-related
errors too), Openoffice fails to indicate that there was a problem. This is
confusing and irritating, and makes it difficult to know what to write in a bug
report.

Version-Release number of selected component (if applicable):
2.2.0-14.8

How reproducible:
always

Actual results:
No error messages, no log messages, no error codes, nothing. It just terminates
with an exit code of zero.

Expected results:
Openoffice should print a descriptive error message on stderr and return a
nonzero exit code.

Comment 1 Caolan McNamara 2007-06-13 12:41:12 UTC
yeah, and it actually has the code to do so, but it's being side-stepped. Fix
checked into rawhide and F-7, if there's another F-7 update it'll be part of it.

Comment 2 Fedora Update System 2007-07-30 16:58:29 UTC
openoffice.org-2.2.1-18.1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.